package com.pdaaphm.biz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.pdaaphm.common.annotation.Excel;
import com.pdaaphm.common.core.domain.BaseEntity;

/**
 * 算法对象 t_algorithm
 * 
 * @author xlk
 * @date 2023-07-26
 */
public class Algorithm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 算法类型 */
    @Excel(name = "算法类型")
    private String type;

    /** 子类型id */
    @Excel(name = "子类型id")
    private Long subTypeId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date completedTime;

    /** 耗时(s) */
    @Excel(name = "耗时(s)")
    private Long costSecond;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setSubTypeId(Long subTypeId) 
    {
        this.subTypeId = subTypeId;
    }

    public Long getSubTypeId() 
    {
        return subTypeId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setCompletedTime(Date completedTime) 
    {
        this.completedTime = completedTime;
    }

    public Date getCompletedTime() 
    {
        return completedTime;
    }
    public void setCostSecond(Long costSecond) 
    {
        this.costSecond = costSecond;
    }

    public Long getCostSecond() 
    {
        return costSecond;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("subTypeId", getSubTypeId())
            .append("name", getName())
            .append("startTime", getStartTime())
            .append("completedTime", getCompletedTime())
            .append("costSecond", getCostSecond())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
